# 32/64bit spec-file
#
Name:		xfsdump
Version:	3.1.4
Release:	%mkrel 1

Summary:	Administrative utilities for the XFS filesystem
Source0:	ftp://oss.sgi.com/projects/xfs/cmd_tars/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		System/Kernel and hardware
URL:		http://oss.sgi.com/projects/xfs/
BuildRequires:	attr-devel
BuildRequires:	libext2fs-devel
BuildRequires:	xfs-devel
BuildRequires:	dm-devel
BuildRequires:	ncurses-devel
BuildRequires:	libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	glibc >= 2.20

%description
The xfsdump package contains xfsdump, xfsrestore and a number of
other utilities for administering XFS filesystems.

xfsdump examines files in a filesystem, determines which need to be
backed up, and copies those files to a specified disk, tape or other
storage medium.  It uses XFS-specific directives for optimizing the
dump of an XFS filesystem, and also knows how to backup XFS extended
attributes.  Backups created with xfsdump are "endian safe" and can
thus be transfered between Linux machines of different architectures
and also between IRIX machines.

xfsrestore performs the inverse function of xfsdump; it can restore a
full backup of a filesystem.  Subsequent incremental backups can then
be layered on top of the full backup.  Single files and directory
subtrees may be restored from full or partial backups.

%prep

%setup -q


%build
export DEBUG="-DNDEBUG"
export OPTIMIZER="%{optflags}"
%configure2_5x --sbindir=/usr/sbin
%make DEBUG="-DNDEBUG" OPTIMIZER="%{optflags}"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

# nuke files already packaged as %doc
rm -rf %{buildroot}%{_datadir}/doc/xfsdump/



%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc doc/CHANGES.gz doc/COPYING doc/INSTALL doc/README.xfsdump doc/*.txt doc/*.html doc/*.gif
/sbin/*
%{_sbindir}/*
%{_mandir}/*/*



%changelog
* Thu Feb 12 2015 bb <bb> 3.1.4-1pclos2015
- update

* Sun Dec 30 2012 Ken <lxgator at gmail.com> 3.1.2-1pclos2013
- 3.1.2

* Wed Jan 13 2010 Texstar <texstar at gmail.com> 3.0.1-2pclos2010
- rebuild for 2010

